class BlindEventHandler extends LabelBasedToggleEventHandler {

  static ButtonLabels = [
    ["Drill Blind", "Drill Seeing"],            // English
  ];

  _sendMuteState = () => {
    this._sendSimpleMuteStateUpdate("blindMutedState");
  }

  handleStreamDeckEvent = (message) => {
    if (message.event === "toggleBlind") {
      this._toggleMute();
    } else if (message.event === "getBlindState") {
      this._sendMuteState();
    }
  }

}
